Changeset 2907


Ignore:
Timestamp:
Sep 12, 2013 6:03:26 AM (6 years ago)
Author:
stefan
Message:

run autotools with BuildTools?/stable/0.7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/trunk/configure

    r2883 r2907  
    10941094                          icl/link). Default when mentioned: mingw. Default
    10951095                          when not mentioned: disabled.
    1096 
    10971096  --disable-pkg-config    disable use of pkg-config (if available)
    10981097  --enable-static[=PKGS]
     
    19531952
    19541953
    1955 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1956 if test "${enable_static_standardlibs+set}" = set; then
    1957   enableval="$enable_static_standardlibs"
    1958   case "$enableval" in
    1959      no | yes | auto ) ;;
    1960      *)
    1961        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1962 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1963    { (exit 1); exit 1; }; } ;;
    1964    esac
    1965    use_static_standardlibs=$enableval
    1966 else
    1967   use_static_standardlibs=no
    1968 fi;
    1969 
    1970 
    1971 
    19721954
    19731955
     
    31073089    CFLAGS="$OPT_CFLAGS"
    31083090  fi
    3109 
    31103091else
    31113092  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32763257esac
    32773258
    3278 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3279 if test x$use_static_standardlibs != xno ; then
    3280   case $build in
    3281     *-mingw*)
    3282       static_standardlib_flag=-static
    3283       ;;
    3284     *)
    3285       static_standardlib_flag=-static-libgcc
    3286       ;;
    3287   esac
    3288   case " $LDFLAGS " in
    3289     *" $static_standardlib_flag "* ) ;;
    3290     *)
    3291     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3292 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3293     coin_save_LDFLAGS="$LDFLAGS"
    3294     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3295     cat >conftest.$ac_ext <<_ACEOF
    3296 /* confdefs.h.  */
    3297 _ACEOF
    3298 cat confdefs.h >>conftest.$ac_ext
    3299 cat >>conftest.$ac_ext <<_ACEOF
    3300 /* end confdefs.h.  */
    3301 
    3302 int
    3303 main ()
    3304 {
    3305 int i=0;
    3306   ;
    3307   return 0;
    3308 }
    3309 _ACEOF
    3310 rm -f conftest.$ac_objext conftest$ac_exeext
    3311 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3312   (eval $ac_link) 2>conftest.er1
    3313   ac_status=$?
    3314   grep -v '^ *+' conftest.er1 >conftest.err
    3315   rm -f conftest.er1
    3316   cat conftest.err >&5
    3317   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3318   (exit $ac_status); } &&
    3319          { ac_try='test -z "$ac_c_werror_flag"
    3320                          || test ! -s conftest.err'
    3321   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3322   (eval $ac_try) 2>&5
    3323   ac_status=$?
    3324   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3325   (exit $ac_status); }; } &&
    3326          { ac_try='test -s conftest$ac_exeext'
    3327   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3328   (eval $ac_try) 2>&5
    3329   ac_status=$?
    3330   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3331   (exit $ac_status); }; }; then
    3332   echo "$as_me:$LINENO: result: yes" >&5
    3333 echo "${ECHO_T}yes" >&6
    3334 else
    3335   echo "$as_me: failed program was:" >&5
    3336 sed 's/^/| /' conftest.$ac_ext >&5
    3337 
    3338 echo "$as_me:$LINENO: result: no" >&5
    3339 echo "${ECHO_T}no" >&6
    3340        LDFLAGS="$coin_save_LDFLAGS"
    3341        if test $use_static_standardlibs = yes ; then
    3342          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3343 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3344    { (exit 1); exit 1; }; }
    3345        fi
    3346 
    3347 fi
    3348 rm -f conftest.err conftest.$ac_objext \
    3349       conftest$ac_exeext conftest.$ac_ext
    3350     ;;
    3351   esac
    3352 fi
    3353 
    33543259ac_ext=c
    33553260ac_cpp='$CPP $CPPFLAGS'
     
    33803285
    33813286
    3382 
    33833287ac_ext=f
    33843288ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    35903494
    35913495# Provide some information about the compiler.
    3592 echo "$as_me:3592:" \
     3496echo "$as_me:3496:" \
    35933497     "checking for Fortran 77 compiler version" >&5
    35943498ac_compiler=`set X $ac_compile; echo $2`
     
    39673871    FFLAGS="$OPT_FFLAGS"
    39683872  fi
    3969 
    39703873else
    39713874  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    41104013esac
    41114014
    4112 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4113 if test x$use_static_standardlibs != xno ; then
    4114   case $build in
    4115     *-mingw*)
    4116       static_standardlib_flag=-static
    4117       ;;
    4118     *)
    4119       static_standardlib_flag=-static-libgfortran
    4120       ;;
    4121   esac
    4122   case " $LDFLAGS " in
    4123     *" $static_standardlib_flag "* ) ;;
    4124     *)
    4125     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4126 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4127     coin_save_LDFLAGS="$LDFLAGS"
    4128     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4129     cat >conftest.$ac_ext <<_ACEOF
    4130       program main
    4131       integer i
    4132       end
    4133 _ACEOF
    4134 rm -f conftest.$ac_objext conftest$ac_exeext
    4135 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4136   (eval $ac_link) 2>conftest.er1
    4137   ac_status=$?
    4138   grep -v '^ *+' conftest.er1 >conftest.err
    4139   rm -f conftest.er1
    4140   cat conftest.err >&5
    4141   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4142   (exit $ac_status); } &&
    4143          { ac_try='test -z "$ac_f77_werror_flag"
    4144                          || test ! -s conftest.err'
    4145   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4146   (eval $ac_try) 2>&5
    4147   ac_status=$?
    4148   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4149   (exit $ac_status); }; } &&
    4150          { ac_try='test -s conftest$ac_exeext'
    4151   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4152   (eval $ac_try) 2>&5
    4153   ac_status=$?
    4154   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4155   (exit $ac_status); }; }; then
    4156   echo "$as_me:$LINENO: result: yes" >&5
    4157 echo "${ECHO_T}yes" >&6
    4158 else
    4159   echo "$as_me: failed program was:" >&5
    4160 sed 's/^/| /' conftest.$ac_ext >&5
    4161 
    4162 echo "$as_me:$LINENO: result: no" >&5
    4163 echo "${ECHO_T}no" >&6
    4164        LDFLAGS="$coin_save_LDFLAGS"
    4165        if test $use_static_standardlibs = yes ; then
    4166          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4167 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4168    { (exit 1); exit 1; }; }
    4169        fi
    4170 
    4171 fi
    4172 rm -f conftest.err conftest.$ac_objext \
    4173       conftest$ac_exeext conftest.$ac_ext
    4174     ;;
    4175   esac
    4176 fi
    4177 
    41784015ac_ext=c
    41794016ac_cpp='$CPP $CPPFLAGS'
     
    44364273ac_save_FFLAGS=$FFLAGS
    44374274FFLAGS="$FFLAGS $ac_verb"
    4438 (eval echo $as_me:4438: \"$ac_link\") >&5
     4275(eval echo $as_me:4275: \"$ac_link\") >&5
    44394276ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    44404277echo "$ac_f77_v_output" >&5
     
    45144351ac_save_FFLAGS=$FFLAGS
    45154352FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4516 (eval echo $as_me:4516: \"$ac_link\") >&5
     4353(eval echo $as_me:4353: \"$ac_link\") >&5
    45174354ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    45184355echo "$ac_f77_v_output" >&5
     
    53925229
    53935230# Provide some information about the compiler.
    5394 echo "$as_me:5394:" \
     5231echo "$as_me:5231:" \
    53955232     "checking for Fortran compiler version" >&5
    53965233ac_compiler=`set X $ac_compile; echo $2`
     
    71807017*-*-irix6*)
    71817018  # Find out which ABI we are using.
    7182   echo '#line 7182 "configure"' > conftest.$ac_ext
     7019  echo '#line 7019 "configure"' > conftest.$ac_ext
    71837020  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    71847021  (eval $ac_compile) 2>&5
     
    96579494   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96589495   -e 's:$: $lt_compiler_flag:'`
    9659    (eval echo "\"\$as_me:9659: $lt_compile\"" >&5)
     9496   (eval echo "\"\$as_me:9496: $lt_compile\"" >&5)
    96609497   (eval "$lt_compile" 2>conftest.err)
    96619498   ac_status=$?
    96629499   cat conftest.err >&5
    9663    echo "$as_me:9663: \$? = $ac_status" >&5
     9500   echo "$as_me:9500: \$? = $ac_status" >&5
    96649501   if (exit $ac_status) && test -s "$ac_outfile"; then
    96659502     # The compiler can only warn and ignore the option if not recognized
     
    99259762   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    99269763   -e 's:$: $lt_compiler_flag:'`
    9927    (eval echo "\"\$as_me:9927: $lt_compile\"" >&5)
     9764   (eval echo "\"\$as_me:9764: $lt_compile\"" >&5)
    99289765   (eval "$lt_compile" 2>conftest.err)
    99299766   ac_status=$?
    99309767   cat conftest.err >&5
    9931    echo "$as_me:9931: \$? = $ac_status" >&5
     9768   echo "$as_me:9768: \$? = $ac_status" >&5
    99329769   if (exit $ac_status) && test -s "$ac_outfile"; then
    99339770     # The compiler can only warn and ignore the option if not recognized
     
    100299866   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    100309867   -e 's:$: $lt_compiler_flag:'`
    10031    (eval echo "\"\$as_me:10031: $lt_compile\"" >&5)
     9868   (eval echo "\"\$as_me:9868: $lt_compile\"" >&5)
    100329869   (eval "$lt_compile" 2>out/conftest.err)
    100339870   ac_status=$?
    100349871   cat out/conftest.err >&5
    10035    echo "$as_me:10035: \$? = $ac_status" >&5
     9872   echo "$as_me:9872: \$? = $ac_status" >&5
    100369873   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    100379874   then
     
    1244612283  lt_status=$lt_dlunknown
    1244712284  cat > conftest.$ac_ext <<EOF
    12448 #line 12448 "configure"
     12285#line 12285 "configure"
    1244912286#include "confdefs.h"
    1245012287
     
    1254612383  lt_status=$lt_dlunknown
    1254712384  cat > conftest.$ac_ext <<EOF
    12548 #line 12548 "configure"
     12385#line 12385 "configure"
    1254912386#include "confdefs.h"
    1255012387
     
    1490614743   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1490714744   -e 's:$: $lt_compiler_flag:'`
    14908    (eval echo "\"\$as_me:14908: $lt_compile\"" >&5)
     14745   (eval echo "\"\$as_me:14745: $lt_compile\"" >&5)
    1490914746   (eval "$lt_compile" 2>conftest.err)
    1491014747   ac_status=$?
    1491114748   cat conftest.err >&5
    14912    echo "$as_me:14912: \$? = $ac_status" >&5
     14749   echo "$as_me:14749: \$? = $ac_status" >&5
    1491314750   if (exit $ac_status) && test -s "$ac_outfile"; then
    1491414751     # The compiler can only warn and ignore the option if not recognized
     
    1501014847   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1501114848   -e 's:$: $lt_compiler_flag:'`
    15012    (eval echo "\"\$as_me:15012: $lt_compile\"" >&5)
     14849   (eval echo "\"\$as_me:14849: $lt_compile\"" >&5)
    1501314850   (eval "$lt_compile" 2>out/conftest.err)
    1501414851   ac_status=$?
    1501514852   cat out/conftest.err >&5
    15016    echo "$as_me:15016: \$? = $ac_status" >&5
     14853   echo "$as_me:14853: \$? = $ac_status" >&5
    1501714854   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1501814855   then
     
    1658016417   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1658116418   -e 's:$: $lt_compiler_flag:'`
    16582    (eval echo "\"\$as_me:16582: $lt_compile\"" >&5)
     16419   (eval echo "\"\$as_me:16419: $lt_compile\"" >&5)
    1658316420   (eval "$lt_compile" 2>conftest.err)
    1658416421   ac_status=$?
    1658516422   cat conftest.err >&5
    16586    echo "$as_me:16586: \$? = $ac_status" >&5
     16423   echo "$as_me:16423: \$? = $ac_status" >&5
    1658716424   if (exit $ac_status) && test -s "$ac_outfile"; then
    1658816425     # The compiler can only warn and ignore the option if not recognized
     
    1668416521   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1668516522   -e 's:$: $lt_compiler_flag:'`
    16686    (eval echo "\"\$as_me:16686: $lt_compile\"" >&5)
     16523   (eval echo "\"\$as_me:16523: $lt_compile\"" >&5)
    1668716524   (eval "$lt_compile" 2>out/conftest.err)
    1668816525   ac_status=$?
    1668916526   cat out/conftest.err >&5
    16690    echo "$as_me:16690: \$? = $ac_status" >&5
     16527   echo "$as_me:16527: \$? = $ac_status" >&5
    1669116528   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1669216529   then
     
    1889118728   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1889218729   -e 's:$: $lt_compiler_flag:'`
    18893    (eval echo "\"\$as_me:18893: $lt_compile\"" >&5)
     18730   (eval echo "\"\$as_me:18730: $lt_compile\"" >&5)
    1889418731   (eval "$lt_compile" 2>conftest.err)
    1889518732   ac_status=$?
    1889618733   cat conftest.err >&5
    18897    echo "$as_me:18897: \$? = $ac_status" >&5
     18734   echo "$as_me:18734: \$? = $ac_status" >&5
    1889818735   if (exit $ac_status) && test -s "$ac_outfile"; then
    1889918736     # The compiler can only warn and ignore the option if not recognized
     
    1915918996   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1916018997   -e 's:$: $lt_compiler_flag:'`
    19161    (eval echo "\"\$as_me:19161: $lt_compile\"" >&5)
     18998   (eval echo "\"\$as_me:18998: $lt_compile\"" >&5)
    1916218999   (eval "$lt_compile" 2>conftest.err)
    1916319000   ac_status=$?
    1916419001   cat conftest.err >&5
    19165    echo "$as_me:19165: \$? = $ac_status" >&5
     19002   echo "$as_me:19002: \$? = $ac_status" >&5
    1916619003   if (exit $ac_status) && test -s "$ac_outfile"; then
    1916719004     # The compiler can only warn and ignore the option if not recognized
     
    1926319100   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1926419101   -e 's:$: $lt_compiler_flag:'`
    19265    (eval echo "\"\$as_me:19265: $lt_compile\"" >&5)
     19102   (eval echo "\"\$as_me:19102: $lt_compile\"" >&5)
    1926619103   (eval "$lt_compile" 2>out/conftest.err)
    1926719104   ac_status=$?
    1926819105   cat out/conftest.err >&5
    19269    echo "$as_me:19269: \$? = $ac_status" >&5
     19106   echo "$as_me:19106: \$? = $ac_status" >&5
    1927019107   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1927119108   then
Note: See TracChangeset for help on using the changeset viewer.